<?php
/* Mantenimiento de los registros de la tabla cr_llamada_cabecera redefinidos por el usaurio */
class Cr_llamada_cabeceraDP extends BaseCr_llamada_cabeceraDP
{
    public static function insertarRegistro( $s_TipoPrestamo, $i_NumeroPrestamo, $s_UsuarioIns )
    {
        $o_Cr_llamada_cabeceraFN = new Cr_llamada_cabeceraFN();
        $o_Cr_llamada_cabeceraFN->setTipoPrestamo( $s_TipoPrestamo );
        $o_Cr_llamada_cabeceraFN->setNumeroPrestamo( $i_NumeroPrestamo );
        $a_Cr_llamada_cabecera = $o_Cr_llamada_cabeceraFN->select();
        if( !$a_Cr_llamada_cabecera )
        {
            $s_Sql = "INSERT INTO cr_llamada_cabecera
                        (FechaTraslado, Estado, TipoPrestamo, NumeroPrestamo, IdCliente, NombreCliente, FechaRegistro, UsuarioRegistro, Eliminado, UsuarioEliminado, FechaEliminado, IdMercado, NombreMercado, FechaInicio, FechaFinal)
                        SELECT
                        NOW(), 'P', TipoPrestamo,             NumeroPrestamo, IdCliente, NombreCliente, NOW(),   '$s_UsuarioIns',       -1,        NULL,             NULL,           idMercado, NombreMercado, FechaInicio, FechaFinal
                        FROM cr_vista_morosos
                        WHERE 1=1
                        AND TipoPrestamo   = '$s_TipoPrestamo'
                        AND NumeroPrestamo = '$i_NumeroPrestamo'
                        ;";
            $o_Resource = $o_Cr_llamada_cabeceraFN->getConnect();
            if ( mysql_query( $s_Sql, $o_Resource ) === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "Se encontro registros duplicados." );
        }
        return true;
    }
}
?>